package com.multictrl.modules.business.service;

import com.multictrl.common.page.PageData;
import com.multictrl.common.service.CrudService;
import com.multictrl.modules.business.dto.MaintenanceDTO;
import com.multictrl.modules.business.entity.MaintenanceEntity;

import java.util.Map;

/**
 * 设备维护信息
 *
 * @author Sdy
 * @since 1.0.0 2026-06-12
 */
public interface MaintenanceService extends CrudService<MaintenanceEntity, MaintenanceDTO> {

    //分页列表
    PageData<MaintenanceDTO> pageList(Map<String, Object> params);

    //获取详情
    MaintenanceDTO getInfo(Long id);

    //新增设备维护
    void addMaintenance(MaintenanceDTO dto);

    //修改设备维护
    void updateMaintenance(MaintenanceDTO dto);

    //删除设备维护
    void deleteMaintenance(Long[] ids);
}